<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: LICENSE</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00091.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div><div class="header">
  <div class="headertitle"><div class="title">LICENSE</div></div>
</div><!--header-->
<div class="contents">
<div class="toc"><h3>Table of Contents</h3>
<ul><li class="level1"><a href="#autotoc_md0">KETEK GmbH</a></li>
<li class="level1"><a href="#autotoc_md1">Third party licenses</a><ul><li class="level2"><a href="#autotoc_md2">VICODaemon</a><ul><li class="level3"><a href="#autotoc_md3">BSD-Style License</a></li>
<li class="level3"><a href="#autotoc_md4">BSD 3-Clause License</a></li>
<li class="level3"><a href="#autotoc_md5">D2XX Driver</a></li>
</ul>
</li>
<li class="level2"><a href="#autotoc_md6">VICOLib</a></li>
<li class="level2"><a href="#autotoc_md7">ESW-XV3.0-MCUFBL</a></li>
</ul>
</li>
</ul>
</div>
<div class="textblock"><h1><a class="anchor" id="autotoc_md0"></a>
KETEK GmbH</h1>
<p>Copyright (c) 2021-2022 PiNTeam GmbH, KETEK GmbH<br  />
 All rights reserved.</p>
<p>VICODaemon and VICOLib are released under MIT License:</p>
<blockquote class="doxtable">
<p>&zwj;Copyright (c) 2021-2022 PiNTeam GmbH, KETEK GmbH</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.</p>
<p>THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. </p>
</blockquote>
<h1><a class="anchor" id="autotoc_md1"></a>
Third party licenses</h1>
<h2><a class="anchor" id="autotoc_md2"></a>
VICODaemon</h2>
<p>The product VICODaemon is developed using a Qt Commercial License.</p>
<p>Moreover, the following third party licenses are used within VICODaemon: </p>
<h3><a class="anchor" id="autotoc_md3"></a>
BSD-Style License</h3>
<p><a href="https://github.com/libusb/hidapi/blob/master/LICENSE-bsd.txt">HIDAPI license text (https://github.com/libusb/hidapi/blob/master/LICENSE-bsd.txt):</a> </p><blockquote class="doxtable">
<p>&zwj;Copyright (c) 2010, Alan Ott, Signal 11 Software<br  />
 All rights reserved.</p>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<ol type="1">
<li>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</li>
<li>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</li>
<li>Neither the name of Signal 11 Software nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</li>
</ol>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</blockquote>
<h3><a class="anchor" id="autotoc_md4"></a>
BSD 3-Clause License</h3>
<p><a href="https://github.com/Skycoder42/QtService/blob/master/LICENSE">QtService license text (https://github.com/Skycoder42/QtService/blob/master/LICENSE):</a></p>
<blockquote class="doxtable">
<p>&zwj;BSD 3-Clause License</p>
<p>Copyright (c) 2018, Felix Barz<br  />
 All rights reserved.</p>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<ul>
<li>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</li>
<li>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</li>
<li>Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</li>
</ul>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</blockquote>
<h3><a class="anchor" id="autotoc_md5"></a>
D2XX Driver</h3>
<p>Copyright (c) 2021-2022 Future Technology Devices International Limited</p>
<p><a href="https://ftdichip.com/driver-licence-terms-details/">D2XX Driver v1.4.4 license text (https://ftdichip.com/driver-licence-terms-details/):</a></p>
<blockquote class="doxtable">
<p>&zwj;IMPORTANT NOTICE: PLEASE READ CAREFULLY BEFORE INSTALLING THE RELEVANT SOFTWARE: This licence agreement (“Licence”) is a legal agreement between you (“Licencee” or “you”) and Future Technology Devices International Limited of 2 Seaward Place, Centurion Business Park, Glasgow, Scotland, G41 1HH (UK Company Number SC136640) (“Licensor” or “we) for use of driver software provided by the Licensor (“Software”).</p>
<p>BY INSTALLING OR USING THIS SOFTWARE YOU AGREE TO THE TERMS OF THIS LICENCE WHICH WILL BIND YOU. IF YOU DO NOT AGREE TO THE TERMS OF THIS LICENCE, WE ARE UNWILLING TO LICENSE THE SOFTWARE TO YOU AND YOU MUST DISCONTINUE INSTALLATION OF THE SOFTWARE NOW.</p>
<ol type="1">
<li>Grant and scope of licence<ol type="a">
<li>In consideration of you agreeing to abide by the terms of this Licence, the Licensor hereby grants to you a non-exclusive, non-transferable, royalty free licence to use the Software on the terms of this Licence.</li>
<li>In this Licence a “Genuine FTDI Component” means an item of hardware that was manufactured for, and sold by, the Licensor or a member of the Licensor’s group of companies. It does not include any counterfeit or fake products.</li>
<li>If you are a manufacturer of a device that includes a Genuine FTDI Component (each a “Device“) then you may install the Software onto that device. If you are a seller or distributor of a Device then You may distribute the Software with the Device. If you are a user of a Device then you may install the Software on the Device, or onto a computer system in order to use the Device.</li>
<li>In each of those cases you may:<ol type="i">
<li>Install and use the Software for your purposes only; and</li>
<li>Only use the Software in conjunction with products based on and/or incorporating a Genuine FTDI Component.</li>
</ol>
</li>
<li>The Software will not function properly on or with a component that is not a Genuine FTDI Component. Use of the Software as a driver for, or installation of the Software onto, a component that is not a Genuine FTDI Component, including without limitation counterfeit components, MAY IRRETRIEVABLY DAMAGE THAT COMPONENT. It is the Licensee’s responsibility to make sure that all chips it installs the Software on, or uses the Software as a driver for, are Genuine FTDI Components. If in doubt then contact the Licensor.</li>
</ol>
</li>
<li>If a custom vendor ID and/or product ID or description string are used, it is the responsibility of the product manufacturer to maintain any changes and subsequent WHQL re-certification as a result of making these changes.</li>
<li>Licensee’s undertakings<ol type="a">
<li>Except as expressly set out in this Licence or as permitted by any local law, you undertake:<ol type="i">
<li>not to copy the Software, except where such copying is incidental to normal use of the Software or where it is necessary for the purpose of back-up or operational security;</li>
<li>not to rent, lease, sub-license, loan, translate, merge, adapt, vary or modify the Software or any part of it;</li>
<li>not to make alterations to, or modifications of, the whole or any part of the Software nor permit the Software or any part of it to be combined with, or become incorporated in, any other programs;</li>
<li>not to disassemble, de-compile, reverse engineer or create derivative works based on the whole or any part of the Software;</li>
<li>to keep all copies of the Software secure;</li>
<li>to include the copyright notice of the Licensor on all entire and partial copies of the Software in any form; and</li>
<li>not to provide, or otherwise make available, the Software in any form, in whole or in part (including, but not limited to, program listings, object and source program listings, object code and source code) to any person.</li>
</ol>
</li>
</ol>
</li>
<li>Intellectual property rights<ol type="a">
<li>You acknowledge that all intellectual property rights in the Software throughout the world belong to the Licensor, that rights in the Software are licensed (not sold) to you, and that you have no rights in, or to, the Software other than the right to use them in accordance with the terms of this Licence.</li>
</ol>
</li>
<li>Warranty<ol type="a">
<li>To the maximum extent permitted by applicable law, the software is provided “as is”.</li>
<li>All implied warranties, implied conditions and/or implied licences are excluded from this Licence, including but not limited to implied warranties of quality and/or fitness for purpose (in all cases) to the fullest extent permitted by law.</li>
<li>You acknowledge that the Software has not been developed to meet your individual requirements and that the Software may not be uninterrupted or free of bugs or errors.</li>
</ol>
</li>
<li>Licensor’s liability<ol type="a">
<li>To the maximum extent permitted by applicable law, in no event shall the Licensor be liable for any:<ol type="i">
<li>special loss or damage;</li>
<li>incidental loss or damage;</li>
<li>indirect or consequential loss or damage:</li>
<li>loss of income;</li>
<li>loss of business;</li>
<li>loss of profits;</li>
<li>loss of revenue;</li>
<li>loss of contracts;</li>
<li>business interruption;</li>
<li>loss of the use of money or anticipated savings;</li>
<li>loss of information;</li>
<li>loss of opportunity;</li>
<li>loss of goodwill or reputation; and/or</li>
<li>loss of, damage to or corruption of data;<br  />
(in each case) of any kind howsoever arising and whether caused by delict (including negligence), breach of contract or otherwise.</li>
</ol>
</li>
<li>FTDI’s total liability to you in relation to the Software shall not exceed 500 US Dollars.</li>
<li>Nothing in this Licence limits or excludes liability for death or personal injury or for fraud.</li>
</ol>
</li>
<li>Termination<ol type="a">
<li>The Licensor may terminate this Licence immediately if:<ol type="i">
<li>you fail to comply with any of the terms and conditions of the Licence; or</li>
<li>you commence or participate in any legal proceedings against the Licensor.</li>
</ol>
</li>
<li>Upon termination:<ol type="i">
<li>all rights granted to you under this Licence shall cease;</li>
<li>you must cease all activities authorised by this Licence; and</li>
<li>you must immediately delete or remove the Software from all computer equipment in your possession and immediately destroy all copies of the Software then in your possession, custody or control.</li>
</ol>
</li>
</ol>
</li>
<li>Transfer of rights and obligations<ol type="a">
<li>You may not transfer, assign, charge or otherwise dispose of this Licence, or any of your rights or obligations arising under it.</li>
<li>The Licensor may transfer, assign, charge, sub-contract or otherwise dispose of this Licence, or any of his rights or obligations arising under it, at any time during the term of the Licence.</li>
</ol>
</li>
<li>Waiver<ol type="a">
<li>If the Licensor fails, at any time during the term of this Licence, to insist on strict performance of any of your obligations under this Licence, or if the Licensor fails to exercise any of the rights or remedies to which he is entitled under this Licence, this shall not constitute a waiver of such rights or remedies and shall not relieve you from compliance with such obligations.</li>
<li>A waiver by the Licensor of any default shall not constitute a waiver of any subsequent default.</li>
<li>No waiver by the Licensor of any of these terms and conditions shall be effective unless it is expressly stated to be a waiver and is communicated to you in writing.</li>
</ol>
</li>
<li>Severability<br  />
If any of the terms of this Licence are determined by any competent authority to be invalid, unlawful or unenforceable to any extent, such term, condition or provision will to that extent be severed from the remaining terms, conditions and provisions which will continue to be valid to the fullest extent permitted by law.</li>
<li>Entire agreement<ol type="a">
<li>This Licence constitutes the whole agreement between us and supersedes any previous arrangement, understanding or agreement between us, relating to the licensing of the Software.</li>
<li>Each party acknowledges that in entering into this Licence it does not rely on any statement, representation, warranty or understanding other than those expressly set out in this Licence. Each party agrees that it will have no remedy in respect of any statement, representation, warranty or understanding that is not expressly set out in this Licence. Each party agrees that its only remedy in respect of those representations, statements, assurances and warranties that are set out in this Licence will be for breach of contract in accordance with the terms of this Licence.</li>
<li>The parties agree that nothing in this Licence will limit or exclude any liability they may have for fraud.</li>
</ol>
</li>
<li>Miscellaneous<ol type="a">
<li>This Licence does not create a partnership or joint venture between the parties to it, nor authorise a party to act as agent for the other.</li>
<li>This Licence does not create any legal rights enforceable by any third party.</li>
<li>This Licence may only be varied by express written legal agreement between the parties.</li>
</ol>
</li>
<li>Law and jurisdiction<br  />
This Licence, its subject matter or its formation (including non-contractual disputes or claims) shall be governed by and construed in accordance with Scots law and submitted to the non-exclusive jurisdiction of the Scottish courts. </li>
</ol>
</blockquote>
<h2><a class="anchor" id="autotoc_md6"></a>
VICOLib</h2>
<p>The product VICOLib is developed using a Qt Commercial License.</p>
<h2><a class="anchor" id="autotoc_md7"></a>
ESW-XV3.0-MCUFBL</h2>
<p>Within the USB stack of the MCU flash bootloader the LUFA Library is used:</p>
<blockquote class="doxtable">
<p>&zwj; LUFA Library Copyright (C) Dean Camera, 2013.</p>
<p>dean [at] fourwalledcubicle [dot] com www.lufa-lib.org</p>
<p>Permission to use, copy, modify, and distribute this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that the copyright notice and this permission notice and warranty disclaimer appear in supporting documentation, and that the name of the author not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.</p>
<p>The author disclaims all warranties with regard to this software, including all implied warranties of merchantability and fitness. In no event shall the author be liable for any special, indirect or consequential damages or any damages whatsoever resulting from loss of use, data or profits, whether in an action of contract, negligence or other tortious action, arising out of or in connection with the use or performance of this software. </p>
</blockquote>
</div></div><!-- contents -->
</div><!-- PageDoc -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
